import { Listenable } from '../Listenable';
import { Listener } from '../Listener';
export type IOToggleEvent = boolean;
export declare function makeToggleListener(listener: (data: IOToggleEvent, _event: ToggleEvent) => void): Listener;
export declare function listenToggle(component: Listenable, onWheel: (event: IOToggleEvent, _event: ToggleEvent) => void): () => void;
